<form class="{{cssClass}} flexcol" autocomplete="off">

    {{!-- Item Sheet Header --}}
    <header class="sheet-header flexrow">
        <img class="profile" src="{{item.img}}" title="{{item.name}}" data-edit="img"/>

        <div class="header-details flexrow">
            <h1 class="charname">
                <input name="name" type="text" value="{{item.name}}" placeholder="{{ localize 'SW5E.SpellName' }}"/>
            </h1>

            <div class="item-subtitle">
                <h4 class="item-type">{{itemType}}</h4>
                <span class="item-status">{{itemStatus}}</span>
            </div>

            <ul class="summary">
                <li>
                    {{labels.level}}
                </li>
                <li>
                    {{labels.school}}
                </li>
                <li>
                    <input type="text" name="data.source" value="{{data.source}}" placeholder="{{ localize 'SW5E.Source' }}"/>
                </li>
            </ul>
        </div>
    </header>

    {{!-- Item Sheet Navigation --}}
    <nav class="sheet-navigation tabs" data-group="primary">
        <a class="item active" data-tab="description">{{ localize "SW5E.Description" }}</a>
        <a class="item" data-tab="details">{{ localize "SW5E.Details" }}</a>
    </nav>

    {{!-- Item Sheet Body --}}
    <section class="sheet-body">

        {{!-- Description Tab --}}
        {{> "systems/sw5e/templates/items/parts/item-description.html"}}

        {{!-- Details Tab --}}
        <div class="tab details" data-group="primary" data-tab="details">
            <h3 class="form-header">{{ localize "SW5E.SpellDetails" }}</h3>

            {{!-- Spell Level --}}
            <div class="form-group">
                <label>{{ localize "SW5E.SpellLevel" }}</label>
                <select name="data.level" data-dtype="Number">
                    {{#select data.level}}
                    {{#each config.spellLevels as |name lvl|}}
                    <option value="{{lvl}}">{{name}}</option>
                    {{/each}}
                    {{/select}}
                </select>
            </div>

            {{!-- Spell School --}}
            <div class="form-group">
                <label>{{ localize "SW5E.SpellSchool" }}</label>
                <select name="data.school">
                    {{#select data.school}}
                    {{#each config.spellSchools as |name sch|}}
                    <option value="{{sch}}">{{name}}</option>
                    {{/each}}
                    {{/select}}
                </select>
            </div>

            {{!-- Spell Components --}}
            <div class="spell-components form-group stacked">
                <label>{{ localize "SW5E.SpellComponents" }}</label>
                <label class="checkbox">
                    <input type="checkbox" name="data.components.vocal" {{checked data.components.vocal}}/> {{ localize "SW5E.ComponentVerbal" }}
                </label>
                <label class="checkbox">
                    <input type="checkbox" name="data.components.somatic" {{checked data.components.somatic}}/> {{ localize "SW5E.ComponentSomatic" }}
                </label>
                <label class="checkbox">
                    <input type="checkbox" name="data.components.material" {{checked data.components.material}}/> {{ localize "SW5E.ComponentMaterial" }}
                </label>
                <label class="checkbox">
                    <input type="checkbox" name="data.components.concentration" {{checked data.components.concentration}}/> {{ localize "SW5E.Concentration" }}
                </label>
                <label class="checkbox">
                    <input type="checkbox" name="data.components.ritual" {{checked data.components.ritual}}/> {{ localize "SW5E.Ritual" }}
                </label>
            </div>

            {{!-- Material Components --}}
            <div class="form-group stacked">
                <label>{{ localize "SW5E.SpellMaterials" }}</label>
                <input class="materials" type="text" name="data.materials.value" value="{{data.materials.value}}"/>
                {{#if data.materials.value}}
                <div class="spell-materials flexrow">
                    <label>{{ localize "SW5E.Supply" }}</label>
                    <input type="text" name="data.materials.supply" value="{{data.materials.supply}}" data-dtype="Number" Placeholder="0"/>
                    <label>{{ localize "SW5E.CostGP" }}</label>
                    <input type="text" name="data.materials.cost" value="{{data.materials.cost}}" data-dtype="Number" Placeholder="-"/>
                    <label>{{ localize "SW5E.Consumed" }}</label>
                    <input type="checkbox" name="data.materials.consumed" {{checked data.materials.consumed}}/>
                </div>
                {{/if}}
            </div>

            {{!-- Preparation Mode --}}
            <div class="form-group input-select">
                <label>{{ localize "SW5E.SpellPreparationMode" }}</label>
                <div class="form-fields">
                    <label class="checkbox prepared">
                        {{ localize "SW5E.SpellPrepared" }} <input type="checkbox" name="data.preparation.prepared" {{checked data.preparation.prepared}}/>
                    </label>
                    <select name="data.preparation.mode">
                        {{#select data.preparation.mode}}
                        <option value=""></option>
                        {{#each config.spellPreparationModes as |name key|}}
                        <option value="{{key}}">{{name}}</option>
                        {{/each}}
                        {{/select}}
                    </select>
                </div>
            </div>

            <h3 class="form-header">{{ localize "SW5E.SpellCastingHeader" }}</h3>

            {{!-- Item Activation Template --}}
            {{> "systems/sw5e/templates/items/parts/item-activation.html"}}

            <h3 class="form-header">{{ localize "SW5E.SpellEffects" }}</h3>

            {{!-- Item Action Template --}}
            {{> "systems/sw5e/templates/items/parts/item-action.html"}}

            {{!-- Spell Level Scaling --}}
            <div class="form-group">
                <label>{{ localize "SW5E.LevelScaling" }}</label>
                <div class="form-fields">
                    <select name="data.scaling.mode">
                        {{#select data.scaling.mode}}
                        {{#each config.spellScalingModes as |name key|}}
                        <option value="{{key}}">{{name}}</option>
                        {{/each}}
                        {{/select}}
                    </select>
                    <input type="text" name="data.scaling.formula" value="{{data.scaling.formula}}" placeholder="{{ localize 'SW5E.ScalingFormula' }}"/>
                </div>
            </div>
        </div>
    </section>
</form>
